package com.jkcredit.invoice.service.selfCar.impl;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.waybill.SellCarTradeMapper;
import com.jkcredit.invoice.model.entity.waybill.SelfCarTrade;
import com.jkcredit.invoice.service.selfCar.SelfCarTradeService;
import com.jkcredit.invoice.util.RespR;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
@Service
public class SelfCarTradeServiceImpl extends ServiceImpl<SellCarTradeMapper,SelfCarTrade> implements SelfCarTradeService{
    @Autowired
    SellCarTradeMapper sellCarTradeMapper;
    @Override
    public IPage<List<SelfCarTrade>> findByPageAndTrade(Page page, SelfCarTrade selfCarTrade) {
        return sellCarTradeMapper.selectAllByPage(page,selfCarTrade);
    }



    @Override
    public RespR batchImportSelfcarTrades(List<SelfCarTrade> selfCarTrades) {
        if(selfCarTrades ==null || 0 == selfCarTrades.size()){
            return new RespR<>("失败","0");
        }

        List<SelfCarTrade> selfCarTradeTmp = new ArrayList<SelfCarTrade>();
        for (SelfCarTrade selfCarTrade:selfCarTrades) {
            if(StringUtils.isNotEmpty(selfCarTrade.getCardId()) && StringUtils.isEmpty(selfCarTrade.getTradeId())){
                List<SelfCarTrade> cars =  sellCarTradeMapper.selectByCardId(selfCarTrade.getCardId());
                selfCarTradeTmp.addAll(cars);
            }else if(StringUtils.isEmpty(selfCarTrade.getCardId()) && StringUtils.isNotEmpty(selfCarTrade.getTradeId())){
                SelfCarTrade car =  sellCarTradeMapper.selectByTradeId(selfCarTrade.getTradeId());
                selfCarTradeTmp.add(car);
            }else{
                return new RespR<>("失败","0");
            }

        }
        return new RespR<>(selfCarTradeTmp,"1");
    }
}
